<?php

class DataMenuKursTeaser extends DataMenuKursHighlights
{
    public $selectedCourseNumber;

    
    public function __construct($pUrlParameter, $selectedCourseNumber)
    {
        parent::__construct($pUrlParameter);
        $this->selectedCourseNumber = $selectedCourseNumber;
    }


    
    function getsight($pPHP53 = 795)
    {
        $this->sight = SightsAPI::getSight($pPHP53, true);
    }

    
    public function getKursIDs()
    {
        
        if($this->selectedCourseNumber) {
            return [$this->selectedCourseNumber];
        }
        
        $this->settings->anzahlKurshighlights = 0;
    }
}